﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;
using System.Collections;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class ContentWindow : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{

	}

	protected void btnExport_Click(object sender, EventArgs e)
	{
		switch (rblFileType.SelectedValue.ToUpper())
		{
			case "CSV":
				ExportToCSV();
				break;
			case "TXT":
				ExportToTXT();
				break;
			case "XLS":
				ExportToExcel();
				break;
		}
	}

	private void ExportToCSV()
	{
		try
		{
			RadGrid NewRG = new RadGrid();

			NewRG.ID = "rgExportGrid";
			NewRG.DataSource = GenerateTestData();

			NewRG.ClientSettings.DataBinding.EnableCaching = true;
			NewRG.ExportSettings.FileName = txtFileName.Text;
			NewRG.ExportSettings.OpenInNewWindow = true;
			NewRG.ExportSettings.Csv.RowDelimiter = GridCsvDelimiter.NewLine;
			NewRG.ExportSettings.Csv.FileExtension = "csv";
			NewRG.ExportSettings.Csv.ColumnDelimiter = GridCsvDelimiter.Comma;
			NewRG.ExportSettings.IgnorePaging = true;
			NewRG.ExportSettings.ExportOnlyData = true;
			NewRG.NeedDataSource += new GridNeedDataSourceEventHandler(ExportGrid_NeedDataSource);
			Page.Controls.Add(NewRG);
			NewRG.DataBind();

			NewRG.MasterTableView.ExportToCSV();
			AddCloseScript();
		}
		catch (Exception ex)
		{
			lblErrorMessage.Text = ex.Message;
		}
	}

	private void ExportToTXT()
	{
		try
		{
			RadGrid NewRG = new RadGrid();

			NewRG.ID = "rgExportGrid";
			NewRG.DataSource = GenerateTestData();

			NewRG.ClientSettings.DataBinding.EnableCaching = true;
			NewRG.ExportSettings.FileName = txtFileName.Text;
			NewRG.ExportSettings.OpenInNewWindow = true;
			NewRG.ExportSettings.Csv.RowDelimiter = GridCsvDelimiter.NewLine;
			NewRG.ExportSettings.Csv.FileExtension = "txt";
			NewRG.ExportSettings.Csv.ColumnDelimiter = GridCsvDelimiter.Tab;
			NewRG.ExportSettings.IgnorePaging = true;
			NewRG.ExportSettings.ExportOnlyData = true;
			NewRG.NeedDataSource += new GridNeedDataSourceEventHandler(ExportGrid_NeedDataSource);
			Page.Controls.Add(NewRG);
			NewRG.DataBind();

			NewRG.MasterTableView.ExportToCSV();
			AddCloseScript();
		}
		catch (Exception ex)
		{
			lblErrorMessage.Text = ex.Message;
		}
	}

	private void ExportToExcel()
	{
		try
		{
			RadGrid NewRG = new RadGrid();

			NewRG.ID = "rgExportGrid";
			NewRG.DataSource = GenerateTestData();

			NewRG.ClientSettings.DataBinding.EnableCaching = true;
			NewRG.ExportSettings.FileName = txtFileName.Text;
			NewRG.ExportSettings.OpenInNewWindow = true;
			NewRG.ExportSettings.Excel.Format = GridExcelExportFormat.Html;
			NewRG.ExportSettings.IgnorePaging = true;
			NewRG.ExportSettings.ExportOnlyData = true;
			NewRG.NeedDataSource += new GridNeedDataSourceEventHandler(ExportGrid_NeedDataSource);
			Page.Controls.Add(NewRG);
			NewRG.DataBind();

			NewRG.MasterTableView.ExportToExcel();
			AddCloseScript();
		}
		catch (Exception ex)
		{
			lblErrorMessage.Text = ex.Message;
		}
	}

	protected void ExportGrid_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
	{
		RadGrid grid = (RadGrid)sender;
		grid.DataSource = GenerateTestData();
	}

	private DataTable GenerateTestData()
	{
		DataTable testData = new DataTable();

		testData.Columns.Add(new DataColumn("Column1"));
		testData.Columns.Add(new DataColumn("Column2"));
		testData.Columns.Add(new DataColumn("Column3"));
		testData.Columns.Add(new DataColumn("Column4"));
		testData.Columns.Add(new DataColumn("Column5"));

		for (int i = 0; i <= 10; i++)
			testData.Rows.Add(new object[] { "1", "2", "3", "4", "5" });

		return testData;
	}

	private void AddCloseScript()
	{


	}
}
